Package org.kapott.hbci.protocol.factory

## Class MultipleSFsFactory

- java.lang.Object
- - org.kapott.hbci.tools.ObjectFactory
  - - org.kapott.hbci.protocol.factory.MultipleSFsFactory

    public class MultipleSFsFactory
    extends ObjectFactory

### Field Summary

### Fields inherited from class org.kapott.hbci.tools.ObjectFactory

`currentPoolSize, freeObjects, usedObjects`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MultipleSFs` `createMultipleSFs​(org.w3c.dom.Node sfref, java.lang.String path, char predelim0, char predelim1, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)`
`MultipleSFs` `createMultipleSFs​(org.w3c.dom.Node sfref, java.lang.String path, org.w3c.dom.Document syntax)`
`static MultipleSFsFactory` `getInstance()`
`void` `unuseObject​(java.lang.Object o)`

### Methods inherited from class org.kapott.hbci.tools.ObjectFactory

`addToFreePool, addToUsedPool, getFreeObject, getFreeObjects, getUsedObjects, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static MultipleSFsFactory getInstance()

#### createMultipleSFs

    public MultipleSFs createMultipleSFs​(org.w3c.dom.Node sfref,
                                         java.lang.String path,
                                         char predelim0,
                                         char predelim1,
                                         java.lang.StringBuffer res,
                                         int fullResLen,
                                         org.w3c.dom.Document syntax,
                                         java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                                         java.util.Hashtable<java.lang.String,​java.lang.String> valids)

#### createMultipleSFs

    public MultipleSFs createMultipleSFs​(org.w3c.dom.Node sfref,
                                         java.lang.String path,
                                         org.w3c.dom.Document syntax)

#### unuseObject

    public void unuseObject​(java.lang.Object o)

Overrides:
  `unuseObject` in class `ObjectFactory`